package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 考勤流程设置基础信息缓存类
 */
public class KQAttProcSetComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_att_proc_set";
	/** sql中的where信息，不要以where开始 */
	protected static String TABLE_WHERE = null;
	/** sql中的order by信息，不要以order by开始 */
	protected static String TABLE_ORDER = "field001";

  /**
   * 这个就是流程id
   */
	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "field001";

  /**
   * 对应表单id
   */
	@CacheColumn(name = "field002")
	protected static int field002;

  /**
   * 是否启用
   */
	@CacheColumn(name = "field005")
	protected static int field005;

  /**
   * 变更流程类型，0表示请假，1表示出差，2表示公出，3表示加班，4表示异常，5表示调班，6表示销假，7表示补卡
   */
	@CacheColumn(name = "field006")
	protected static int field006;

  /**
   * 是否启用明细表，默认不启用，1表示启用
   */
	@CacheColumn(name = "usedetail")
	protected static int usedetail;

  /**
   * 流程可抵扣打卡記錄，默认不启用，1表示启用
   */
	@CacheColumn(name = "flow_deduct_card")
	protected static int flow_deduct_card;

  /**
   * 考勤流程设置id
   */
  @CacheColumn(name = "id")
  protected static int attid;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}
  public String getWorkflowId(){
    return (String)getRowValue(PK_INDEX);
  }

	public String getFormid() { return (String)getRowValue(field002); }

	public String getFormid(String key)
	{
		return (String)getValue(field002,key);
	}

	public String getEnable() { return (String)getRowValue(field005); }
	public String getEnable(String key)
	{
		return (String)getValue(field005,key);
	}

	public String getkqType() { return (String)getRowValue(field006); }
	public String getkqType(String key)
	{
		return (String)getValue(field006,key);
	}

	public String getUsedetail() { return (String)getRowValue(usedetail); }
	public String getUsedetail(String key)
	{
		return (String)getValue(usedetail,key);
	}

	public String getFlow_deduct_card() { return (String)getRowValue(flow_deduct_card); }
	public String getFlow_deduct_card(String key)
	{
		return (String)getValue(flow_deduct_card,key);
	}

  public String getAttid() { return (String)getRowValue(attid); }
  public String getAttid(String key)
  {
    return (String)getValue(attid,key);
  }

}